package com.example;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Scanner;

public class ImprovedParser {
	LinkedHashMap<String, String> theEntireFreakingBible = new LinkedHashMap<String, String>();
	
	public ImprovedParser() throws IOException {
		
	}
	
	public void run() {
		long start = System.currentTimeMillis();
		
		try {
			readFile("bible.txt");
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		long finish = System.currentTimeMillis();
		System.out.println("Whole thing took: " + (finish - start));
	}
	
	private void readFile(String path) throws IOException {
		String[] parts;
		File file = new File(path);
		int counter = 0;
		String value;

	    try {
	        Scanner sc = new Scanner(file);
	        
	        while (sc.hasNextLine()) {
	        	counter++;
        		parts = splitLines(sc.nextLine());
        		
        		if (counter % 2 == 0) {
        			value = parts[1];
        		} else {
        			value = reverse(parts[1]);
        		}
        		
        		theEntireFreakingBible.put(parts[0], value);
	        }
	        sc.close();
	    } 
	    catch (FileNotFoundException e) {
	        e.printStackTrace();
	    }
	}
	
	private String[] splitLines(String string) {
		return string.split("\t");
	}

	private String reverse(String string) {
		StringBuilder str = new StringBuilder(string);
		return str.reverse().toString();
	}

}
